@ECHO OFF
IF NOT EXIST C:\CMU\DOS_SAVE.CNF\CONFIG.SYS GOTO error

COPY C:\CMU\DOS_SAVE.CNF\CONFIG.SYS C:\.
IF ERRORLEVEL 1 GOTO error

COPY C:\CMU\DOS_SAVE.CNF\AUTOEXEC.BAT C:\.
IF ERRORLEVEL 1 GOTO error

IF EXIST C:\CMU\DOS_SAVE.CNF\AUTOCONF.BAT COPY C:\CMU\DOS_SAVE.CNF\AUTOCONF.BAT C:\.
IF NOT EXIST C:\CMU\DOS_SAVE.CNF\AUTOCONF.BAT DEL C:\AUTOCONF.BAT

CD \
DELTREE /Y C:\CMU\DOS_SAVE.CNF

ECHO.
ECHO recofiguration is complete
ECHO reboot now
ECHO.
PAUSE

IF EXIST C:\CMU\UTILS\SYNC.COM C:\CMU\UTILS\SYNC.COM
IF EXIST C:\CMU\UTILS\RESET.COM C:\CMU\UTILS\RESET.COM

rem oh-oh
GOTO end


:error
ECHO an error occur during recofiguration, aborted


:end
ECHO end of recofiguration
